For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Trebellar Platform
DocsGuidesAPI Reference
DocsGuidesAPI Reference
  • API Reference
    • Introduction
  • API Resources
      • POSTAdd cost lines in batch
      • GETList normalized costs
      • DELDelete cost line
      • PATCHUpdate a cost line
      • POSTBind a cost line to an asset(s)
      • POSTUnbind a cost line to an asset(s)
      • GETList Cost Categories
      • GETGet Cost Category
      • DELDelete Cost Category
      • PATCHUpdate Cost Category
      • POSTAdd Cost Category
Trebellar Platform
LogoLogo
API ResourcesCosts

List Cost Categories

||View as Markdown|
GET
https://api.trebellar.app/api/v2/costs/categories/list
GET
/api/v2/costs/categories/list
1import { TrebellarApiClient } from "@trebellar/api-sdk";
2
3async function main() {
4 const client = new TrebellarApiClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.costs.listCostCategories();
8}
9main();
1{
2 "data": [
3 {
4 "externalId": "string",
5 "name": "string",
6 "parentId": "string",
7 "id": "string",
8 "color": "string"
9 }
10 ]
11}
Retrieve a list of all cost categories available in the system. This operation returns all categories that are accessible to the authenticated user.
Was this page helpful?
Previous

Unbind a cost line to an asset(s)

Next

Get Cost Category

Built with

Authentication

X-Trebellar-Api-Keystring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Response

Cost categories retrieved successfully
datalist of objects

Errors

500
Internal Server Error